#arbre { position: relative; margin: 0; padding: 0; }
#arbre a:hover { color: #FFFFFF; /*color: #FF0000; text-decoration: underline overline ;*/ }
.proches { padding:.2em;} /* pour famille proche, comme polices, fieldset, etc */

/* FORMAT DE POLICE PERSONNALISE */
.bloc-texte { text-align: left; /*padding: 0; margin: 0;*/ }

/* DIMENSIONS D'UN BLOC DE PROFIL */
/* Les padding et border d'un bloc sont à l'exterieur des dimensions exprimees par width et height (sauf ie<=5)
/* Les positionnements tiennent compte des padding et border mais pas du margin */
/* la hauteur des blocs est definie dans php en fonction des options choisies */
.bloc-maxi, .bloc-mini, .bloc-info, .bloc-survol { position: absolute; padding: 0; margin: 0; z-index: 20; } /* voir hack ie6 */
	/* bloc-info pour la barre des annees, les symboles d'union et les sans-enfant (le nombre d'enfants est assimile a sexe inconnu */
	/* bloc-survol necesssaire pour z-index */
.bloc-info { min-width:2em; } /* necessaire depuis mars 2025 car symbole o|o passe parfois à la ligne dans les arbres descendants) */
.bloc-liaison { position:absolute; padding:0; margin:0; z-index:10; }
/*.bloc-proches { padding: 1.2em; } /* arbre familial proche */

/* FORMAT DU MOTIF DANS UN BLOC */
/* f = feminin, m = masculin, a = autre, i = inconnu ou sans motif */
/* servent egalement a adapter le motif et les bordures a la taille de bloc-maxi et bloc-mini */
.f-motif { background-color: #FFECEA; }
.m-motif { background-color: #E8EAFF; }
.a-motif { background-color: #F6E9FF; }
.i-motif { background-color: #FFFFFF; }
.masque-motif { background-color: #D0D0D0; }
.refuse-motif { background-color: #A0A0A0; }

/* FORMAT DES BORDURES DANS UN BLOC */
/* sg = lien de sans ou adoptif, ns = normal standard */
.f-sg-bord { border: .2em solid #FF0000; padding: 0; } /* .2em */
.f-ns-bord { border: .1em solid #FF0000; padding: .1em; } /* .3em */
.m-sg-bord { border: .2em solid #0000C0; padding: 0; } /* .2em */
.m-ns-bord { border: .1em solid #0000C0; padding: .1em; } /* .3em */
.a-sg-bord { border: .2em solid #A438BD; padding: 0; } /* .2em */
.a-ns-bord { border: .1em solid #A438BD; padding: .1em; } /* .3em */
.i-sg-bord { border: .2em solid #404040; padding: 0; } /* .2em */
.i-ns-bord { border: .1em solid #404040; padding: .1em; } /* .3em */
.ajout-bord { border: .1em solid #000000; }

/* FORMAT DES NOMS DANS UN BLOC */
.f-sg-nom { color: #FF0000; font-weight: bold; }
.f-ns-nom { color: #FF0000; font-weight: normal; }
.m-sg-nom { color: #0000C0; font-weight: bold; }
.m-ns-nom { color: #0000C0; font-weight: normal; }
.a-sg-nom { color: #A438BD; font-weight: bold; }
.a-ns-nom { color: #A438BD; font-weight: normal; }
.i-sg-nom { color: #404040; font-weight: bold; }
.i-ns-nom { color: #404040; font-weight: normal; }

/* FORMAT DES BARRES DE TEMPS */
.f-sg-balk, .f-ns-balk, .m-sg-balk, .m-ns-balk, .a-sg-balk, .a-ns-balk, .i-sg-balk, .i-ns-balk  { position: absolute; height: 0.8em; padding: 0; border: 0; z-index: 30; }
.f-sg-balk { background-color: #FF0000; }
.f-ns-balk { background-color: #FF8080; }
.m-sg-balk { background-color: #0000C0; }
.m-ns-balk { background-color: #7878FF; }
.a-sg-balk { background-color: #A438BD; }
.a-ns-balk { background-color: #F060FF; }
.i-sg-balk { background-color: #606060; } /* plus clair que la bordure */
.i-ns-balk { background-color: #909090; }

/* FORMAT DES LIGNES DE LIAISON */
.kid-t, .kid-tl, .kid-tr, .kid-rb, .kid-b, .kid-bl, .kid-l { position: absolute; top: 0; right: 0; bottom:0; left:0; } 
.kid-t { border-top: .2em solid #000000; }
.kid-tl { border-top: .2em solid #000000; border-left: .2em solid #000000; }
.kid-tr { border-top: .2em solid #000000; border-right: .2em solid #000000; }
.kid-rb { border-bottom: .2em solid #000000; border-right: .2em solid #000000; }
.kid-b { border-bottom: .2em solid #000000; }
.kid-bl { border-bottom: .2em solid #000000; border-left: .2em solid #000000;}
.kid-l { border-left: .2em solid #000000; }
.cum-t, .cum-bl, .cum-b, .cum-tl, .cum-l { position: absolute; top: 0; right: 0; bottom:0; left:0; }
.cum-t { border-top: .1em solid #404040; }
.cum-tl { border-top: .1em solid #404040; border-left: .1em solid #404040; }
.cum-b { border-bottom: .1em solid #404040; }
.cum-bl { border-bottom: .1em solid #404040; border-left: .1em solid #404040; }
.cum-l { border-left: .1em solid #404040; }
.quadrillage { position: absolute; z-index: 5; border-left: .1em solid #BABABA; }

/* HOVER SUR LES BLOCS DES PROCHES (sélection, info, acte, portrait) */
.bloc-proches a { font-weight: bold; }
.bloc-proches a, .bloc-proches a:link, .bloc-proches a:visited  { color: #007F00; }
.bloc-proches a:hover { background-color: #007F00; color: #FFFFFF; text-decoration:none; }
.profil-mod { margin:0 .3em .3em 0; }
.profil-mod a, .profil-mod a:link, .profil-mod a:visited , .profil-add a, .profil-add a:link, .profil-add a:visited
	{ display:inline-block; *zoom: 1; *display:inline; height:1.2em; padding:.2em; font-weight:bold; color:#007F00; border:1px solid #007F00; }
.profil-mod a:hover, .profil-add a:hover { background-color: #007F00; color: #FFFFFF; text-decoration:none; }

/* HOVER SUR LES BLOCS DES ARBRES */
.bloc-survol ul li a { background-color: transparent; }
.bloc-survol ul li a img:hover { background-color: transparent; }

/* HOVER SUR LES LISTES */
a.f-sg-nom:link { color:#FF0000; font-weight: bold; }
a.f-ns-nom:link { color:#FF0000; font-weight: normal; }
a.m-sg-nom:link { color:#0000C0; font-weight: bold; }
a.m-ns-nom:link { color:#0000C0; font-weight: normal; }
a.a-sg-nom:link { color:#A438BD; font-weight: bold; }
a.a-ns-nom:link { color:#A438BD; font-weight: normal; }
a.i-sg-nom:link { color:#077207; font-weight: bold; }
a.i-ns-nom:link { color:#077207; font-weight: normal; }
a.f-sg-nom:visited { color:#EF0000; font-weight: bold; }
a.f-ns-nom:visited { color:#EF0000; font-weight: normal; }
a.m-sg-nom:visited { color:#0000C0; font-weight: bold; }
a.m-ns-nom:visited { color:#0000C0; font-weight: normal; }
a.a-sg-nom:visited { color:#A438BD; font-weight: bold; }
a.a-ns-nom:visited { color:#A438BD; font-weight: normal; }
a.i-sg-nom:visited { color:#077207; font-weight: bold; }
a.i-ns-nom:visited { color:#077207; font-weight: normal; }
a.f-sg-nom:hover { color:#FFFFFF; font-weight: bold; }
a.f-ns-nom:hover { color:#FFFFFF; font-weight: normal; }
a.m-sg-nom:hover { color:#FFFFFF; font-weight: bold; }
a.m-ns-nom:hover { color:#FFFFFF; font-weight: normal; }
a.a-sg-nom:hover { color:#FFFFFF; font-weight: bold; }
a.a-ns-nom:hover { color:#FFFFFF; font-weight: normal; }
a.i-sg-nom:hover { color:#FFFFFF; font-weight: bold; }
a.i-ns-nom:hover { color:#FFFFFF; font-weight: normal; }

/* MENU POUR LES RACCOURCIS DANS LES BLOCS */
/* jusqu'en 2024, icones sur fond transparent dans cadre unique, a partir de 2024 similaire a pagemenu */
.treebloc li { display: inline-block; *zoom: 1; *display: inline; } 
.treebloc li ul { top: 0; margin: 0; padding: 0; width: 20em; height: auto; background-color: tranparent;} /* 19.2 assez sur firefox en taille normale, 19.9 en petit zoom */
	/* IE7 veut un background-color sur cet ul ou sur a s'il y a un padding sur a. Les autres IE n'en ont pas besoin. */
	/* Tous les navigateurs testes acceptent en général un width de 16.5 mais c'est parfois insuffisant selon le default client */
.treebloc li ul li { display: inline-block; *zoom: 1; *display: inline; padding:0; width: auto; }
.treebloc li ul li a { padding:.5em .2em;} /* et annulation declaration bloc-survol ul li a (padding=0) */
.treebloc li ul li a:hover { background-color: #007F00; } /* annulation declaration bloc-survol ul li a (transparence) */
.treebloc-btn { background-color:#F8E8B0; border:1px solid #E0804F; }
.treebloc-icone  { height:1.6em; margin-top:-.2em; vertical-align:top; }

/* FORMAT D'UNE LIGNE STANDARD, AVEC AU MINIMUM NOM ET ICONES */
.profil-nom-icones { margin-top:0; background-color:transparent; } /* annuler le margin standard de p, car de fait les icones descendent le texte dans p */
/*.profil-nom-icones { display:inline-block; margin:.2em; padding:0; min-height:1.6em;/*border:.1em solid #A0A0A0; border-radius:0; background-color:transparent; }*/
.profil-nom-icones a { display:inline-block; }
.profil-nom-icones a, .profil-nom-icones a:link, .profil-nom-icones a:visited { height:1.2em; padding:.5em .2em; } /* sinon trop petit dans mobile */
.namebloc-icone { height:1.6em; margin-top:-.3em; vertical-align:top; }
@media only screen and (min-width:761px) {
	.namebloc-icone { height:1.4em; margin-top:-.2em;} /* 1.6em un peu grand sur ordi */
	}
	
/* FORMAT D'UN BLOC DE PICTOGRAMMES */
.pictobloc { display:inline-block; } /* pour garder les icones ensemble si ligne ou cellule trop courte */

/* BOUTON POUR MODIFICATIONS (person_add et topic_mod) */
.apresnom-icone { height:1.2em; vertical-align:top; }


